import { jsx as c } from "@emotion/react/jsx-runtime";
import { useEnvironment as m, useModuleDictionary as l } from "@m4l/core";
import { pathIcons as u } from "../../../../icons.js";
import { IconButton as p } from "../../../../../extended/mui/IconButton/IconButton.js";
import { useDataGrid as d } from "../../../../hooks/shared/useDataGrid/useDataGrid.js";
import { useModalSettings as g } from "./hooks/useModalSettings/useModalSettings.js";
function k(t) {
  const { columns: o } = t, { host_static_assets: n, environment_assets: s } = m(), { size: i } = d(), e = g(i, o), { getLabel: r } = l(), a = () => {
    e();
  };
  return /* @__PURE__ */ c(
    p,
    {
      tooltip: r("data_grid.tooltip_settings"),
      onClick: a,
      "aria-label": "settings",
      icon: `${n}/${s}/${u.configuration}`,
      "data-testid": "settings-button"
    }
  );
}
export {
  k as Settings
};
